Bug 863871

Summary: [abrt]: WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:2695 brcms_c_enable_mac+0x174/0x1e0 [brcmsmac](): TAINTED G W
Product: [Fedora] Fedora Reporter: Trevor Robinson <redhat>
Component: kernelAssignee: John Greene <jogreene>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: casey_semiklose, gansalmon, itamar, jonathan, jones, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:d48340d1806964899264caafdb5933c1e66241b5
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-26 08:55:22 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Trevor Robinson 2012-10-07 18:05:15 EDT
Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.5.4-1.fc17.x86_64 root=/dev/mapper/vg_trevor--laptop-lv_root ro rd.lvm.lv=vg_trevor-laptop/lv_root rd.md=0 rd.lvm.lv=vg_trevor-laptop/lv_swap rd.dm=0 SYSFONT=True rd.luks=0 KEYTABLE=us-acentos LANG=en_US.UTF-8 rhgb quiet
kernel:         3.5.4-1.fc17.x86_64

kernel_tainted_long:
:Proprietary module has not been loaded.
:Taint on warning.

backtrace:
:WARNING: at drivers/net/wireless/brcm80211/brcmsmac/main.c:2695 brcms_c_enable_mac+0x174/0x1e0 [brcmsmac]()
:Hardware name: MacBookPro6,2
:Modules linked in: tcp_lp fuse ebtable_nat ebtables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 ipt_MASQUERADE iptable_nat nf_nat cxgb3i cxgb3 mdio libcxgbi xt_CHECKSUM ib_iser rdma_cm ib_addr iptable_mangle iw_cm ib_cm bridge ib_sa ib_mad stp ib_core llc iscsi_tcp lockd sunrpc libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state ip6table_filter nf_conntrack ip6_tables btusb bluetooth uvcvideo bcm5974 snd_hda_codec_hdmi videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media arc4 brcmsmac snd_hda_codec_cirrus snd_hda_intel cordic snd_hda_codec brcmutil mac80211 snd_seq snd_hwdep snd_seq_device snd_pcm snd_page_alloc snd_timer snd cfg80211 soundcore rfkill bcma joydev i2c_i801 intel_ips lpc_ich mfd_core tg3 coretemp applesmc input_polldev apple_gmux apple_bl microcode vhost_net tun macvtap macvlan kvm_intel kvm binfmt_misc uinput crc32c_intel ghash_clmulni_inte
:l firewire_ohci firewire_core usb_storage crc_itu_t nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 31093, comm: kworker/u:2 Tainted: G        W    3.5.4-1.fc17.x86_64 #1
:Call Trace:
: [<ffffffff8105867f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff810586da>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa044e624>] brcms_c_enable_mac+0x174/0x1e0 [brcmsmac]
: [<ffffffffa047223a>] ? wlc_phy_stay_in_carriersearch_nphy+0x7a/0xe0 [brcmsmac]
: [<ffffffffa0459592>] wlapi_enable_mac+0x12/0x20 [brcmsmac]
: [<ffffffffa047d0e1>] wlc_phy_a4.isra.15+0x8e1/0x1240 [brcmsmac]
: [<ffffffffa029c08d>] ? bcma_host_pci_write16+0x3d/0x50 [bcma]
: [<ffffffffa047dad8>] wlc_phy_txpwr_papd_cal_nphy+0x98/0xd0 [brcmsmac]
: [<ffffffffa045fc18>] wlc_phy_watchdog+0x178/0x1a0 [brcmsmac]
: [<ffffffffa045032d>] brcms_c_watchdog_by_timer+0x2dd/0x400 [brcmsmac]
: [<ffffffffa0447571>] _brcms_timer+0x41/0x90 [brcmsmac]
: [<ffffffff810745e9>] process_one_work+0x129/0x400
: [<ffffffffa0447530>] ? brcms_ops_tx+0x90/0x90 [brcmsmac]
: [<ffffffff81076126>] worker_thread+0x126/0x2e0
: [<ffffffff81076000>] ? manage_workers.isra.26+0x1f0/0x1f0
: [<ffffffff8107b6a3>] kthread+0x93/0xa0
: [<ffffffff81616124>] kernel_thread_helper+0x4/0x10
: [<ffffffff8107b610>] ? flush_kthread_worker+0x80/0x80
: [<ffffffff81616120>] ? gs_change+0x13/0x13
Comment 1 Josh Boyer 2012-10-08 10:47:50 EDT
*** Bug 863613 has been marked as a duplicate of this bug. ***
Comment 2 John Greene 2013-04-15 08:50:13 EDT
Could you post a fuller dmesg log?  Appears to happen on boot up: is that true?
Have you tried / are you willing to try a later kernel for this?   3.5 is a bit old now.  Suggest 3.8 or so.

Let me know your results.
Comment 3 John Greene 2013-04-25 11:06:32 EDT
Trevor,

Ping?  Need more info if so.  I have no hardware to reproduce this issue.
Comment 4 John Greene 2013-04-26 08:55:22 EDT
No response..Closing.